--- old/usr/src/common/atomic/amd64/atomic.s	2014-07-28 07:44:05.342010068 -0400
+++ new/usr/src/common/atomic/amd64/atomic.s	2014-07-28 07:44:05.347762556 -0400
@@ -29,7 +29,8 @@
 
 #if defined(_KERNEL)
 	/*
-	 * Legacy kernel interfaces; they will go away (eventually).
+	 * Legacy kernel interfaces; they will go away the moment our closed
+	 * bins no longer require them.
 	 */
 	ANSI_PRAGMA_WEAK2(cas8,atomic_cas_8,function)
 	ANSI_PRAGMA_WEAK2(cas32,atomic_cas_32,function)
--- old/usr/src/common/atomic/i386/atomic.s	2014-07-28 07:44:05.527563996 -0400
+++ new/usr/src/common/atomic/i386/atomic.s	2014-07-28 07:44:05.533277520 -0400
@@ -30,7 +30,8 @@
 
 #if defined(_KERNEL)
 	/*
-	 * Legacy kernel interfaces; they will go away (eventually).
+	 * Legacy kernel interfaces; they will go away the moment our closed
+	 * bins no longer require them.
 	 */
 	ANSI_PRAGMA_WEAK2(cas8,atomic_cas_8,function)
 	ANSI_PRAGMA_WEAK2(cas32,atomic_cas_32,function)
--- old/usr/src/common/atomic/sparc/atomic.s	2014-07-28 07:44:05.724255514 -0400
+++ new/usr/src/common/atomic/sparc/atomic.s	2014-07-28 07:44:05.730231647 -0400
@@ -30,7 +30,8 @@
 
 #if defined(_KERNEL)
 	/*
-	 * Legacy kernel interfaces; they will go away (eventually).
+	 * Legacy kernel interfaces; they will go away the moment our closed
+	 * bins no longer require them.
 	 */
 	ANSI_PRAGMA_WEAK2(cas8,atomic_cas_8,function)
 	ANSI_PRAGMA_WEAK2(cas32,atomic_cas_32,function)
--- old/usr/src/common/atomic/sparcv9/atomic.s	2014-07-28 07:44:05.910796417 -0400
+++ new/usr/src/common/atomic/sparcv9/atomic.s	2014-07-28 07:44:05.916382244 -0400
@@ -39,7 +39,8 @@
 
 #if defined(_KERNEL)
 	/*
-	 * Legacy kernel interfaces; they will go away (eventually).
+	 * Legacy kernel interfaces; they will go away the moment our closed
+	 * bins no longer require them.
 	 */
 	ANSI_PRAGMA_WEAK2(cas8,atomic_cas_8,function)
 	ANSI_PRAGMA_WEAK2(cas32,atomic_cas_32,function)
--- old/usr/src/uts/common/sys/atomic.h	2014-07-28 07:44:06.115628066 -0400
+++ new/usr/src/uts/common/sys/atomic.h	2014-07-28 07:44:06.121273201 -0400
@@ -27,8 +27,6 @@
 #ifndef	_SYS_ATOMIC_H
 #define	_SYS_ATOMIC_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/inttypes.h>
 
@@ -415,20 +413,6 @@
 extern uint8_t ldstub(uint8_t *);
 #endif
 
-/*
- * Legacy kernel interfaces; they will go away (eventually).
- */
-extern uint8_t cas8(uint8_t *, uint8_t, uint8_t);
-extern uint32_t cas32(uint32_t *, uint32_t, uint32_t);
-extern uint64_t cas64(uint64_t *, uint64_t, uint64_t);
-extern ulong_t caslong(ulong_t *, ulong_t, ulong_t);
-extern void *casptr(void *, void *, void *);
-extern void atomic_and_long(ulong_t *, ulong_t);
-extern void atomic_or_long(ulong_t *, ulong_t);
-#if defined(__sparc)
-extern uint32_t swapl(uint32_t *, uint32_t);
-#endif
-
 #endif	/* _KERNEL */
 
 #ifdef	__cplusplus
--- old/usr/src/uts/sun4v/cpu/mach_cpu_module.c	2014-07-28 07:44:06.287341916 -0400
+++ new/usr/src/uts/sun4v/cpu/mach_cpu_module.c	2014-07-28 07:44:06.292947337 -0400
@@ -155,40 +155,6 @@
  *  Atomic Function Stubs
  */
 
-uint8_t
-cas8(uint8_t *target, uint8_t value1, uint8_t value2)
-{ return (0); }
-
-/* ARGSUSED */
-uint32_t
-cas32(uint32_t *target, uint32_t value1, uint32_t value2)
-{ return (0); }
-
-/* ARGSUSED */
-uint64_t
-cas64(uint64_t *target, uint64_t value1, uint64_t value2)
-{ return (0); }
-
-/* ARGSUSED */
-ulong_t
-caslong(ulong_t *target, ulong_t value1, ulong_t value2)
-{ return (0); }
-
-/* ARGSUSED */
-void *
-casptr(void *ptr1, void *ptr2, void *ptr3)
-{ return (0); }
-
-/* ARGSUSED */
-void
-atomic_and_long(ulong_t *target, ulong_t value)
-{}
-
-/* ARGSUSED */
-void
-atomic_or_long(ulong_t *target, ulong_t value)
-{}
-
 /* ARGSUSED */
 void
 atomic_inc_8(volatile uint8_t *target)
